# $Revision: 1.40 $, $Date: 2011/03/23 15:48:02 $
Summary:	Text widget that extends the standard GTK+ 2.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 2.x
Name:		gtksourceview2
Version:	2.10.5
Release:	3
License:	GPL v2+ and LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/2.10/gtksourceview-%{version}.tar.bz2
# Source0-md5:	1219ad1694df136f126507466aeb41aa
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.10.3
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	intltool >= 0.40
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Requires:	glib2 >= 1:2.24
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 2.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	gtksourceview-apidocs

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package devel
Summary:	Header files for GtkSourceView
Summary(pl.UTF-8):	Pliki nagłówkowe dla GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for GtkSourceView.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GtkSourceView.

%package static
Summary:	Static GtkSourceView library
Summary(pl.UTF-8):	Statyczna biblioteka GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GtkSourceView library.

%description static -l pl.UTF-8
Statyczna biblioteka GtkSourceView.

%prep
%setup -q -n gtksourceview-%{version}

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtksourceview-2.0.la

%find_lang gtksourceview-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgtksourceview-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtksourceview-2.0.so.0
%{_datadir}/gtksourceview-2.0

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtksourceview-2.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-2.0.so
%{_includedir}/gtksourceview-2.0
%{_pkgconfigdir}/gtksourceview-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-2.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtksourceview2.spec,v $
Revision 1.40  2011/03/23 15:48:02  wiget
- drop libtool file
- rel. 3

Revision 1.39  2011/03/19 13:27:21  qboosh
- updated BRs
- en@shaw is supported now (via LANGUAGE)
- package docs

Revision 1.38  2010/10/22 12:07:39  arekm
- release 2

Revision 1.37  2010/09/30 17:15:02  megabajt
- updated to 2.10.5

Revision 1.36  2010/06/22 16:08:27  megabajt
- updated to 2.10.4

Revision 1.35  2010/05/28 19:43:47  megabajt
- updated to 2.10.3

Revision 1.34  2010/05/28 10:09:15  megabajt
- updated to 2.10.2

Revision 1.33  2010/05/18 13:02:37  glen
- glib2 epoch

Revision 1.32  2010/05/18 08:18:27  gotar
- g_malloc_n is only available as of glib2 v2.24

Revision 1.31  2010/05/18 08:16:20  gotar
- R: glib2 with g_malloc_n

Revision 1.30  2010/04/26 19:13:10  megabajt
- updated to 2.10.1

Revision 1.29  2010/03/28 14:46:08  megabajt
- updated to 2.10.0; merged from DEVEL

Revision 1.25.2.7  2010/03/16 21:32:11  megabajt
- updated to 2.9.9

Revision 1.25.2.6  2010/03/10 09:31:36  patrys
- 2.9.8

Revision 1.25.2.5  2010/02/23 16:54:25  sparky
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.25.2.4  2010/02/23 11:23:29  megabajt
- updated to 2.9.7

Revision 1.28  2010/02/10 15:25:55  megabajt
- release 2

Revision 1.25.2.3  2010/02/01 10:20:17  patrys
- 2.9.5

Revision 1.25.2.2  2010/01/15 10:17:34  patrys
- 2.9.4

Revision 1.27  2009/12/21 13:39:00  megabajt
- updated to 2.8.2

Revision 1.26  2009/11/29 00:56:50  sparky
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.25.2.1  2009/11/26 09:52:12  patrys
- 2.9.2

Revision 1.25  2009/11/12 12:14:59  patrys
- rebuild
- rel 2

Revision 1.24  2009/10/12 17:59:14  megabajt
- updated to 2.8.1

Revision 1.23  2009/09/26 23:00:21  patrys
- merged from DEVEL

Revision 1.21.2.2  2009/09/26 22:59:20  patrys
- 2.8.0

Revision 1.22  2009/06/17 15:12:12  hawk
- release 2

Revision 1.21.2.1  2009/06/17 08:38:51  patrys
- 2.7.1

Revision 1.21  2009/05/16 16:16:02  megabajt
- updated to 2.6.2

Revision 1.20  2009/04/13 22:18:02  megabajt
- updated to 2.6.1

Revision 1.19  2009/03/15 18:05:54  megabajt
- updated to 2.6.0; merged changes from DEVEL

Revision 1.18.2.1  2009/03/09 21:46:54  megabajt
- updated to 2.5.6

Revision 1.18  2008/11/10 10:45:30  megabajt
- release 2

Revision 1.17  2008/11/01 15:39:54  megabajt
- updated to 2.4.1

Revision 1.16  2008/10/04 17:20:31  megabajt
- updated to 2.4.0; merged changes from DEVEL

Revision 1.15.2.1  2008/08/17 23:20:28  patrys
- 2.3.1

Revision 1.15  2008/06/24 09:47:24  megabajt
- updated to 2.2.2

Revision 1.14  2008/04/16 13:50:50  sls
- ver. 2.2.1

Revision 1.13  2008-03-11 21:30:29  patrys
- 2.2.0

Revision 1.12  2008-02-05 22:16:10  megabajt
- updated to 2.1.2
- removed gnome bcond (libgnomeprint no longer used)
- unified GtkSourceView in Summaries / Descriptions
- ghost soname symlink

Revision 1.11  2008-01-15 10:02:28  patrys
- 2.1.0

Revision 1.10  2007-11-27 17:20:19  megabajt
- updated to 2.0.2

Revision 1.9  2007-11-04 23:10:41  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.8  2007/10/17 13:47:28  megabajt
- updated to 2.0.1

Revision 1.7  2007/09/17 10:29:09  patrys
- 2.0.0

Revision 1.6  2007/09/10 19:22:29  megabajt
- updated to 1.90.5

Revision 1.5  2007/08/30 14:58:11  megabajt
- updated to 1.90.4

Revision 1.4  2007/08/04 19:40:23  patrys
- 1.90.3

Revision 1.3  2007/06/25 14:41:19  patrys
- 1.90.1

Revision 1.2  2007/06/02 21:03:15  qboosh
- BR: pkgconfig, libgnomeprint-devel
- finished merging gnome bcond from gtksourceview.spec
- explicit apidocs Conflicts

Revision 1.1  2007/05/28 09:45:41  patrys
- initial PLD release
- API/ABI incompatible with 1.x
- parallel installation supported (apidocs might conflict)
